<?php
$wp_customize->add_section(
    'skill_area',
    array(
        'title' => __('Our Skill Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
$wp_customize->add_setting(
    'skill_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'skill_area_disable',
        array(
            'settings'      => 'skill_area_disable',
            'section'       => 'skill_area',
            'label'         => __( 'Disable Section', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'skill', 'skill_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'skillarea_padding', 'skill_area', 'Section Padding:');

$wp_customize->add_setting(
    'skill_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'skill_areaTpadding',
    array(
        'settings'      => 'skill_areaTpadding',
        'section'       => 'skill_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'skill_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'skill_areaBpadding',
    array(
        'settings'      => 'skill_areaBpadding',
        'section'       => 'skill_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

$wp_customize->add_setting('skill_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'skill_area_lbl',
        array(
            'settings'      => 'skill_area_lbl',
            'section'       => 'skill_area',
            'label'         => __( 'Note1:', 'Luzuk' ),  
            'description'   => __( 'Changes will not reflect unless you select an icon for page', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting('skill_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'skill_npp_heading',
        array(
            'settings'      => 'skill_npp_heading',
            'section'       => 'skill_area',
            'label'         => __( 'Number Of Skill', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('skill_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control(
    'skill_npp_count',
    array(
        'settings'      => 'skill_npp_count',
        'section'       => 'skill_area',
        'type'          => 'select',
        'label'         => __( 'Number of skill plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9)
    )
);
for( $i = 1; $i <= 9; $i++ ){
    $wp_customize->add_setting(
        'skill_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'skill_header'.$i,
            array(
                'settings'      => 'skill_header'.$i,
                'section'       => 'skill_area',
                'label'         => __( 'Skill plan ', 'luzuk-premium' ).$i
            )
        )
    );



lzAddImageElement($wp_customize, 'skill_page_icon'.$i, 'skill_area', $label="Recommended Image Size: 200X170px");


lzAddElement($wp_customize, 'skill_page_number_'.$i, 'skill_area', $type = 'text', $label="Section Number", $callback ='luzuk_sanitize_text', $default='01');

lzAddElement($wp_customize, 'skill_page_title_'.$i, 'skill_area', $type = 'text', $label="Section Title", $callback ='luzuk_sanitize_text', $default='RESIDENTIAL & COMMERCIAL');

lzAddElement($wp_customize, 'skill_page_url_'.$i, 'skill_area', $type = 'text', $label="Featured Page Link", $callback ='esc_url', $default='Add link here');

}

lzCustomLable($wp_customize, 'skill_sectionclr', 'skill_area', 'Section Color');

addColorPalatOption($wp_customize, 'skillarea_BoxnumColor', 'skill_area', 'Section Number Color', '#c8cfd4');
addColorPalatOption($wp_customize, 'skillarea_BoxttlColor', 'skill_area', 'Section Title Color', '#fafafa');
addColorPalatOption($wp_customize, 'skillarea_BoxttlhvColor', 'skill_area', 'Section Title Box Background Color', '#000');
addColorPalatOption($wp_customize, 'skillarea_BoxdescColor', 'skill_area', 'Section Title Box Background Hover Color', '#ff5317');
